< 返回上层

未能加载文件或程序集 ‘System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35’

2019-08-11 10:03:31 76次

源错误: 


行 88: 				<add assembly="System.Design, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B03F5F7F11D50A3A"/>
行 89: 				<add assembly="System.Windows.Forms, Version=2.0.0.0, Culture=neutral, PublicKeyToken=B77A5C561934E089"/>
行 90: 				
行 91: 				<add assembly="System.Web.Extensions.Design, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31BF3856AD364E35"/></assemblies>
行 92: 		</compilation>


源文件: D:\EARM_SVN\EARMS\trunk\web.config    行: 90 

程序集加载跟踪: 下列信息有助于确定程序集“System.Web.Extensions, Version=1.0.61025.0, Culture=neutral, PublicKeyToken=31bf3856ad364e35”无法加载的原因。


警告: 程序集绑定日志记录被关闭。
要启用程序集绑定失败日志记录,请将注册表值 [HKLM\Software\Microsoft\Fusion!EnableLog] (DWORD)设置为 1。
注意: 会有一些与程序集绑定失败日志记录关联的性能损失。
要关闭此功能,请移除注册表值 [HKLM\Software\Microsoft\Fusion!EnableLog]。

版本信息: Microsoft .NET Framework 版本:2.0.50727.5456; ASP.NET 版本:2.0.50727.5456

这个源错误是本机的错误信息,参照上面解决方案1,成功解决。中间还发生了我想转为.Net 4.0版本—产生其他错误。

如果就对类似的错误来说(可能不是提示 System.Web.Extentions):

  • 指缺少某个 DLL(错误提示中对应的那个);

  • 或者是 DLL 没有放到 bin 目录下;

  • 或者是升级了后改变了版本号,相关引用没有跟着更新,还是去读的老的版本号。

如果就对本错误来说(提示的就是 System.Web.Extentions):

上述错误大致说明了:程序使用了 ASP.NET AJAX,但 .NET Framework 环境中没有配置相应的 AJAX 环境。

法一、如果当前环境是 .NET Framework 3.5,而程序使用的是 2.0,那么可以将程序升级为 3.5 解决。升级方法是用 Visual Studio 或 Visual Web Developer 打开网站,在网站上右键->“属性页”->“生成”->“目标 Framework”。这是因为 3.5 环境下本身就含有 AJAX 的核心内容。

法二、如果当前环境就是 .NET Framework 2.0,或者不想升级程序为 3.5,那么可以到http://www.asp.net/ajax/downloads/ 下载并安装 ASP.NET AJAX Extensions,目前微软还是对 2.0 提供技术支持的。

法三、如果法二中无法进行安装,可在安装了 ASP.NET AJAX Extensions 的机器上,在 C:\Program Files\Microsoft ASP.NET\ASP.NET 2.0 AJAX Extensions\v1.0.61025 目录下找到 System.Web.Extensions.dll 和System.Web.Extensions.Design.dll,将这两个文件复制到网站的 bin 目录。



提交成功!非常感谢您的反馈,我们会继续努力做到更好!

更多建议

这条文档是否有帮助解决问题?

没有帮助 有帮助

非常抱歉未能帮助到您。为了给您提供更好的服务,我们很需要您进一步的反馈信息:

在文档使用中是否遇到以下问题: